Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.passage
Class AbstractKeyList.NameVisitor

    java.lang.Object
      org.crosswire.jsword.passage.DefaultKeyVisitor
          org.crosswire.jsword.passage.AbstractKeyList.NameVisitor

All Implemented Interfaces:
  KeyVisitor

Direct Known Subclasses:
  AbstractKeyList.OsisIDVisitor, AbstractKeyList.OsisRefVisitor

Enclosing class:
  AbstractKeyList

    static class AbstractKeyList.NameVisitor

extends DefaultKeyVisitor

The `NameVisitor` constructs a readable representation of the Passage.

Field Summary
`protected StringBuffer` | `buffer`

Constructor Summary
`AbstractKeyList.NameVisitor()` Create a `NameVisitor`.

Method Summary
`String` | `toString()`
`void` | `visitLeaf(Key key)` We've found a leaf node in a Key tree, and are giving the visitor a change to do processing based on it.

Methods inherited from class org.crosswire.jsword.passage.DefaultKeyVisitor
`visitBranch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### buffer

    protected StringBuffer buffer

Constructor Detail

### AbstractKeyList.NameVisitor

    public AbstractKeyList.NameVisitor()

  Create a `NameVisitor`.

Method Detail

### visitLeaf

    public void visitLeaf(Key key)

  Description copied from interface: `KeyVisitor`
  We've found a leaf node in a Key tree, and are giving the visitor a change to do processing based on it.

  Specified by:
    `visitLeaf` in interface `KeyVisitor`
  Overrides:
    `visitLeaf` in class `DefaultKeyVisitor`
  Parameters:
    `key` - The found leaf node.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD